[arch-commits] Commit in nitrogen/repos (4 files)

Alexander Fehr alexanderf at archlinux.org
Wed Aug 6 11:07:38 EDT 2008


    Date: Wednesday, August 6, 2008 @ 11:07:38
  Author: alexanderf
Revision: 8120

Merged revisions 2085-8119 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/nitrogen/trunk

........
  r8118 | alexanderf | 2008-08-06 17:03:29 +0200 (Mi, 06 Aug 2008) | 1 line
  
  upgpkg: nitrogen 1.4-1
........

Added:
  nitrogen/repos/extra-x86_64/ChangeLog
    (from rev 8118, nitrogen/trunk/ChangeLog)
  nitrogen/repos/extra-x86_64/nitrogen.install
    (from rev 8118, nitrogen/trunk/nitrogen.install)
Modified:
  nitrogen/repos/extra-x86_64/	(properties)
  nitrogen/repos/extra-x86_64/PKGBUILD

------------------+
 ChangeLog        |    9 +++++++++
 PKGBUILD         |   33 ++++++++++++++-------------------
 nitrogen.install |   11 +++++++++++
 3 files changed, 34 insertions(+), 19 deletions(-)


Property changes on: nitrogen/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /nitrogen/trunk:1-2084
   + /nitrogen/trunk:1-8119

Copied: nitrogen/repos/extra-x86_64/ChangeLog (from rev 8118, nitrogen/trunk/ChangeLog)
===================================================================
--- extra-x86_64/ChangeLog	                        (rev 0)
+++ extra-x86_64/ChangeLog	2008-08-06 15:07:38 UTC (rev 8120)
@@ -0,0 +1,9 @@
+2008-08-04  Alexander Fehr  <pizzapunk gmail com>
+
+  * nitrogen-1.4-1:
+  New upstream release.
+  New maintainer.
+  Changed url.
+  Added dependency on hicolor-icon-theme.
+  Added install file (gtk-update-icon-cache).
+  Added ChangeLog.

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-08-06 15:06:02 UTC (rev 8119)
+++ extra-x86_64/PKGBUILD	2008-08-06 15:07:38 UTC (rev 8120)
@@ -1,29 +1,24 @@
 # $Id$
 # Maintainer: James Rayner <james at archlinux.org>
+# Maintainer: Alexander Fehr <pizzapunk gmail com>
 # Contributor: Sebastian Sareyko <public at nooms.de>
+
 pkgname=nitrogen
-pkgver=1.3
-# author has habit of using -rc and things for version. left here for future use.
-_pkgver=1.3
+pkgver=1.4
 pkgrel=1
-pkgdesc="A background browser and setter for X windows"
+pkgdesc="Background browser and setter for X windows"
 arch=('i686' 'x86_64')
-url="http://l3ib.org/nitrogen/"
-license=("GPL")
-depends=('gtkmm')
-source=(http://projects.l3ib.org/nitrogen/files/nitrogen-${_pkgver}.tar.gz)
+url="http://projects.l3ib.org/nitrogen/"
+license=('GPL')
+depends=('gtkmm' 'hicolor-icon-theme')
+install=nitrogen.install
+source=(http://projects.l3ib.org/nitrogen/files/nitrogen-$pkgver.tar.gz)
+md5sums=('7097983bd0c2c79adee75eff7f174cb1')
 
 build() {
-  cd $startdir/src/nitrogen-${pkgver}
-  ./configure --prefix=/usr
+  cd "$srcdir/nitrogen-$pkgver"
+
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR="$pkgdir" install || return 1
 }
-
-
-
-
-
-
-
-md5sums=('1f2b0b40ac286d0b185b23f234b237dd')

Copied: nitrogen/repos/extra-x86_64/nitrogen.install (from rev 8118, nitrogen/trunk/nitrogen.install)
===================================================================
--- extra-x86_64/nitrogen.install	                        (rev 0)
+++ extra-x86_64/nitrogen.install	2008-08-06 15:07:38 UTC (rev 8120)
@@ -0,0 +1,11 @@
+post_install() {
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  post_install
+}




More information about the arch-commits mailing list